From c949ab1d0ccd1e1e0aa286c993036c0daf143d8b Mon Sep 17 00:00:00 2001
From: Zoltan Hawryluk <zhawry@torzhawry01749.local>
Date: Thu, 17 May 2012 18:43:27 -0400
Subject: [PATCH] Fix IE styling bug with required radio buttons.

---
 tests/html5Forms/css/validity.css         | 5 +++++
 tests/html5Forms/errorMessageStyling.html | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/tests/html5Forms/css/validity.css b/tests/html5Forms/css/validity.css
index 7b083a0..6b8e90b 100644
--- a/tests/html5Forms/css/validity.css
+++ b/tests/html5Forms/css/validity.css
@@ -12,6 +12,11 @@ input[required] {
 	background:url("../images/asterisk_orange.png") no-repeat right top;
 }
 
+/* radio buttons are exempt from this styling */
+input[type="checkbox"][required] {
+	background-image: none;
+}
+
 
 
 /*
diff --git a/tests/html5Forms/errorMessageStyling.html b/tests/html5Forms/errorMessageStyling.html
index 435c2d6..76c2c8a 100644
--- a/tests/html5Forms/errorMessageStyling.html
+++ b/tests/html5Forms/errorMessageStyling.html
@@ -80,7 +80,7 @@
 	<body id="myExample">
 		<div id="exampleBlurb">
 		<p>
-				This is an example of a HTML5 form which has a different error message style for each of its form <elements class=""></elements>
+				This is an example of a HTML5 form which has a different error message style for each of its form elements.
 					<a href="http://www.useragentman.com/blog/?p=4472">Back to User Agent Man HTML5 Forms article </a>
 			</p>
 		</div>
